import subprocess
import time

def run_client(sql_file):
    # 启动数据库客户端
    client_process = subprocess.Popen(["./rmdb_client/build/rmdb_client"], stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE, text=True)
    
    # 逐行读取SQL文件并发送到客户端
    with open(sql_file, 'r') as file:
        for line in file:
            client_process.stdin.write(line)
            client_process.stdin.flush()
            time.sleep(0.1)  # 等待执行命令的时间，可以根据需要调整

    # 关闭客户端进程
    client_process.stdin.close()
    client_process.wait()

if __name__ == "__main__":

    sql_file = 'commands.txt'  # 你的SQL指令文件
    run_client(sql_file)
